"""
Characters

Characters are (by default) Objects setup to be puppeted by Accounts.
They are what you "see" in game. The Character class in this module
is setup to be the "default" character type created by the default
creation commands.

"""
from lib.rpsystem import ContribRPCharacter
from lib.pronounsub import PronounCharacter
from evennia.contrib.game_systems.clothing import ClothedCharacter

# rpsystem
class Character(ContribRPCharacter, ClothedCharacter, PronounCharacter):
    def at_object_creation(self):
        super().at_object_creation()

    def msg(self, text=None, from_obj=None, session=None, **kwargs):
        # TODO: Don't do this. See https://git.disroot.org/vantablack/vantaMOO/issues/29
        super().msg(text, from_obj, session, **kwargs)
